function  [p]=ReadParticles(name) ;
%
% reads the positions (x,y) of the particles from file 'name'
% the positions are scaled and rounded to fit into a 500x500 sparse matrix p
% the matrix p is returned
%

[fid,msg]=fopen(name,'r') ;

if (fid<=0) 
 msg 
 return ;
end

% Read the number of particles and the lengths of the domain
[n ,c]=fread(fid,1,'int') ;
[xl,c]=fread(fid,2,'double') ;

x=zeros(n,2) ;

% Scale in each direction
xm=min(xl(1),xl(2)) ;
nx=500*xl(1)/xm ;
ny=500*xl(2)/xm ;


% Read the positions
[x,c]=fread(fid,[2,inf],'double') ;
x=x' ;
fclose(fid) ;

% round and scale
x(:,1)=floor((nx*x(:,1)/xl(1))+1) ;
x(:,2)=floor((ny*x(:,2)/xl(2))+1) ;

p=sparse(x(:,1),x(:,2) , ones(n,1) ,nx+1 , ny+1) ;




